#!/bin/sh
if test -f Makefile.am;
then
  if grep -l ACLOCAL_AMFLAGS Makefile.am >/dev/null;
  then
    amflags=`grep ACLOCAL_AMFLAGS Makefile.am \
    | sed -e 's,ACLOCAL_AMFLAGS.*=.*\-I,-I,g'`
    echo ".. aclocal $amflags"
    aclocal $amflags
  fi
fi

if test -f configure.in;
then
  if grep -l A[CM]_PROG_LIBTOOL configure.in >/dev/null;
  then
    echo ".. libtoolize -f"
    libtoolize -f >/dev/null
  fi
  if grep -l AM_INIT_AUTOMAKE configure.in >/dev/null;
  then
    echo ".. automake"
    automake -a >/dev/null
  fi
  echo ".. autoconf"
  autoconf
fi
